/* **********************************************************************
 * Author      :  Severin Willisch
 * email       :  d9840087@mail.connect.usq.edu.au
 * Student No. :  0039840087
 * Purpose     :  Project for Semester 1 & 2, 2009
 * Purpose     :  09-036 Programming Sun SPOTs in JAVA
 * **********************************************************************
 */

/* **********************************************************************
 * Purpose     :  This class changes the format of data of the type long.
 * Purpose     :  It will be include in collectorMote class when tested.
 * Input       :  data to be reformatted
 * Outputs     :  formatted data
 * **********************************************************************
 */
package org.sunspotworld;

import com.sun.squawk.util.MathUtils;

public class ChangeDataFormat{
  
  double reformatDataToBeSent(double valueIn){

      // ================================================================
      // local variable
      // ----------------------------------------------------------------
      double valueOut = 0;
      // ================================================================

      // ================================================================
      // For trouble shooting only
      // ----------------------------------------------------------------
      System.out.println("Print input value: " + valueIn);
      // ================================================================

      // ================================================================
      // Move decimal point 2 digits to the right
      // ----------------------------------------------------------------
      valueIn = valueIn * 100;
      // ================================================================

      // ================================================================
      // For trouble shooting only
      // ----------------------------------------------------------------
      System.out.println("After * operator: " + valueIn);
      // ================================================================

      // ================================================================
      // Round up or down
      // ----------------------------------------------------------------
      valueIn = MathUtils.round(valueIn);
      // ================================================================

      // ================================================================
      // For trouble shooting only
      // ----------------------------------------------------------------
      System.out.println("After rounding: " + valueIn);
      // ================================================================

      // ================================================================
      // Move decimal point 2 digits to the left
      // ----------------------------------------------------------------
      valueOut = valueIn / 100;
      // ================================================================
      
      // ================================================================
      // For trouble shooting only
      // ----------------------------------------------------------------
      System.out.println("After / operator: " + valueOut);
      // ================================================================

      System.out.println("Data to be returned: "
              + valueOut);
      return valueOut;

   } // end of reformatDataToBeSent()
} // end of class

