/* **********************************************************************
 * Author      :  Severin Willisch
 * email       :  d9840087@mail.connect.usq.edu.au
 * Student No. :  0039840087
 * Purpose     :  Project for Semester 1 & 2, 2009
 * Purpose     :  09-036 Programming Sun SPOTs in JAVA
 * **********************************************************************
 */

/* **********************************************************************
 * Purpose     :  This class includes all the specific functions of a ...
 * Purpose     :  light control interface mote.
 * **********************************************************************
 */
package org.sunspotworld;

class LightInterfaceMote extends InterfaceMote {
   void packageLightDataToSendToLightControl(String location,
            int value){
      // ================================================================
      // Prepare data to send via serial communication
      // Required data: >> location --> String
      //                >> value    --> int
      // ----------------------------------------------------------------
      StringBuffer prepareOutputString = new StringBuffer(location);

      prepareOutputString.append(",");
      prepareOutputString.append(value);

      setExternalDataString(prepareOutputString.toString());
      // ================================================================
      // For trouble shooting only
      // ----------------------------------------------------------------
      System.out.println(getExternalDataString());
      // ================================================================

   }  // end of packageDataToSendToExternalSystem()
} // end of class
